#define EN_A 9
#define EN_B 10
 
#define IN_1 14
#define IN_2 15
#define IN_3 16
#define IN_4 17
 
bool DIR=false;
int i=0;
 
bool Direction(bool DIR){
  if(DIR==false){
    digitalWrite(IN_1, HIGH);
    digitalWrite(IN_2, LOW);
    digitalWrite(IN_3, HIGH);
    digitalWrite(IN_4, LOW);
    DIR=true;
  } else {
    digitalWrite(IN_1, LOW);
    digitalWrite(IN_2, HIGH);
    digitalWrite(IN_3, LOW);
    digitalWrite(IN_4, HIGH);
    DIR=false;
  }
 return(DIR);
}
 
void setup(){
  pinMode(EN_A, OUTPUT);
  pinMode(EN_B, OUTPUT);
  pinMode(IN_1, OUTPUT);
  pinMode(IN_2, OUTPUT);
  pinMode(IN_3, OUTPUT);
  pinMode(IN_4, OUTPUT);
}
 
void loop() {
  DIR=Direction(DIR); //changes direction
   
  for(i=50;i<=255;i++){ //speeds up motors
    analogWrite(EN_A, i);
    analogWrite(EN_B, i);
    delay(50);
  }
   
  delay(5000);
   
  for(i=255;i>=50;i--){ //slows down motors
    if (i==50){
      i=0;
    }
    analogWrite(EN_A, i);
    analogWrite(EN_B, i);
    delay(50);
  }  
  delay(5000);
}
